#### Description:

This function returns the number of bytes of memory that must be allocated prior to retrieving the data from a column of a FitsTable using astGetColumnData.

#### Synopsis

size_t astColumnSize( AstFitsTable ∗this, const char ∗column )

#### Parameters:

##### this

Pointer to the FitsTable.

##### column

The character string holding the name of the column. Trailing spaces are ignored.

#### Returned Value

##### astColumnSize()

The number of bytes required to store the column data.

#### Notes:

- An error will be reported if the named column does not exist in the FitsTable.

- Zero will be returned as the function value in an error occurs.

Copyright (C) 2021 East Asian Observatory